"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@angular/core");
var baasic_sdk_javascript_1 = require("baasic-sdk-javascript");
var http_client_factory_1 = require("../infrastructure/httpApi/http-client.factory");
var TYPES = {
    Configuration: new core_1.InjectionToken('Configuration')
};
exports.TYPES = TYPES;
var BaasicAppService = /** @class */ (function (_super) {
    tslib_1.__extends(BaasicAppService, _super);
    function BaasicAppService(configuration, httpClientFactory) {
        return _super.call(this, configuration.apiKey, getOptions(configuration.options, httpClientFactory)) || this;
    }
    BaasicAppService = tslib_1.__decorate([
        core_1.Injectable(),
        tslib_1.__param(0, core_1.Inject(TYPES.Configuration)),
        tslib_1.__metadata("design:paramtypes", [Object, http_client_factory_1.HttpClientFactory])
    ], BaasicAppService);
    return BaasicAppService;
}(baasic_sdk_javascript_1.BaasicApp));
exports.BaasicAppService = BaasicAppService;
;
function getOptions(options, httpClientFactory) {
    options = options || {};
    if (!options.httpClient) {
        options.httpClient = function () { return httpClientFactory; };
    }
    return options;
}
;
